default_CONFIG += CONFIG_PXMC_SIM_SYSTEM_HEADERS=x
default_CONFIG += CONFIG_PXMC_SIM_GUI_APP=x

SUBDIRS = pxmc_test

lib_LIBRARIES = pxmcbsp

pxmcbsp_SOURCES = sim_posix.c default_mcs.c pxmc_sim_socket.c
renamed_include_HEADERS += sim_posix.h->pxmcbsp.h
renamed_include_HEADERS += pxmc_config_sim_posix.h->pxmc_config.h

lib_LIBRARIES += pxmc_sim_socket
pxmc_sim_socket_SOURCES = pxmc_sim_socket.c
include_HEADERS += pxmc_sim_socket.h

ifeq ($(CONFIG_PXMC_SIM_SYSTEM_HEADERS),y)
include_HEADERS += types.h system_def.h cpu_def.h
endif

ifeq ($(CONFIG_PXMC_SIM_GUI_APP),y)
QT_SUBDIRS = pxmc_sim_gui
endif
